DU(1)

NAVN
du - estimer brugen af filplads

SYNOPSIS
du [TILVLAG]... [FIL]...
du [FLAG]... --files0-from=F

BESKRIVELSE

Opsummer enhedsforbrug for mængden af FILer, rekursivt for mapper.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-0, --null
    afslut hver udlinje med NUL frem for linjeskift

-a, --all
    afslut hver udlinje med NUL frem for linjeskift

-A, --apparent-size
    udskriv tilsyneladende størrelser i stedet for enhedsforbrug; selvom den tilsyneladende størrelse normalt er mindre, kan den være større på grund af huller i (ikke-sammenhængende) filer, intern fragmentering, indirekte blokke og lignende

-B, --block-size=SIZE
    skaler størrelser med STØR før de udskrives; se STR-format nedenfor; F.eks. vil »-BM« udskrive størrelser i enheder af 1.048.576 byte

-b, --bytes
    svarer til »--apparent-size --block-size=1'«

-c, --total
    angiv samlet sum

-D, --dereference-args
    dereferér kun symbolske lænker, som angives på kommandolinjen

-d, --max-depth=N
    udskriv sum for et katalog (eller en fil med --all) hvis det befinder sig N eller færre niveauer under kommandolinjeargumentet; --max-depth=0 er det samme som --summarize

--files0-from=F
    opsummer enhedsforbrug for de NUL-afsluttede filnavne angivet i filen F; hvis F er -, så læs navne fra standardind

-H  samme som --dereference-args (-D)

-h, --human-readable
    udskriv størrelser i læsevenligt format (f.eks. 1K 234M 2G)

--inodes
    vis oplysninger om inode-forbrug frem for blokforbrug

-k  som --block-size=1K

-L, --dereference
    følg alle symbolske henvisninger

-l, --count-links
    tæl størrelser flere gange for hårde lænker

-m  som --block-size=1M

-P, --no-dereference
    følg ingen symbolske henvisninger (standard)

-S, --separate-dirs
    for mapper; medtag ikke størrelsen på undermapper

--si
    som -h, men brug potenser af 1000 frem for 1024

-s, --summarize
    vis kun sum for hvert argument

-t, --threshold=SIZE
    ekskludér elementer mindre end STØR hvis positiv, eller elementer større end STØR hvis negativ

--time
    vis tidspunktet for den seneste modifikation for alle filer i mappen og dets undermapper

--time=WORD
    vis tid som ORD frem for modifikationstid: atime, access, use, ctime eller status

--time-style=STYLE
    format for dato/tid med --time; se TIDSSTIL nedenfor

-X, --exclude-from=FILE
    udelad filer, der matcher ethvert mønster i FIL

--exclude=PATTERN
    ekskluder filer som matcher MØNSTER

-x, --one-file-system
    spring mapper på andre filsystemer over

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

Visningsværdier er i enheder af første tilgængelige STØR fra --block-size eller miljøvariablerne DU_BLOCK_SIZE, BOCK_SIZE og BLOCKSIZE. Ellers er enheden som standard 1024 byte (eller 512 hvis POSIXLY_CORRECT er givet).

Argumentet STØR er et heltal med eventuel enhed (f.eks.: 10K er 10*1024). Enheder er K,M,G,T,P,E,Z,Y,R,Q (potens af 1024) eller KB,MB,... (potens af 1000). Binært præfiks kan også bruges: KiB=K, MiB=M og så videre.

STIL-argumentet --time-style kan være full-iso, long-iso, iso eller +FORMAT. FORMAT fortolkes som i date(1). Miljøvariablen TIME_STYLE angiver også den stil, der skal bruges som standard.

MØNSTRE
MØNSTRE er et skalmønster (ikke et regulært udtryk). Mønsteret ? matcher et tegn, hvorimod * matcher en streng (sammensat af nul, en eller flere tegn). For eksempel vil *.o matche enhver fil hvis navne ender med .o. Derfor vil kommandoen

    du --exclude='*.o'

udelade alle filer og undermapper der ender med .o (inklusive filen .o).

FORFATTER
Skrevet af Torbjorn Granlund, David MacKenzie, Paul Eggert og Jim Meyering.

FEJLRAPPORTER
Rapporter fejl til: bug-coreutils@gnu.org
Hjemmeside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generel hjælp til GNU-programmer: <https://www.gnu.org/gethelp/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/du>
eller lokalt tilgængelig via: info '(coreutils) du invocation'

Pakket af Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det.
Der gives INGEN GARANTI, i den grad som loven tillader dette.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.